Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000720Frama-CKernelpublic2011-02-13 17:262014-02-12 16:59
Reporteryakobowski 
Assigned Tovirgile 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000720: Incorrect handling of nearly-empty switch clauses with -simplify-cfg
DescriptionFrama-c chokes on the following code with option -simplify-cfg

void main()
{
  switch(0) {
  case 0:
    break;
  }
}

This can be seen either by starting the value analysis, or with -check.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004827)

2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-02-13 17:26 yakobowski New Issue
2011-02-13 20:16 signoles Status new => assigned
2011-02-13 20:16 signoles Assigned To => virgile
2011-03-02 19:55 svn Checkin
2011-03-02 19:55 svn Status assigned => resolved
2011-03-02 19:55 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 Note Added: 0004827
2014-02-12 16:59 Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker